/// <reference types="@project-serum/anchor/node_modules/@solana/web3.js" />
import type { LiquidityIncentiveProgram } from '../generated/types/liquidityIncentiveProgram';
import type { Cluster, Wallet } from '../types';
import { ProgramClient } from './client';
import { PublicKey } from '@solana/web3.js';
export declare class LiquidityIncentiveClient extends ProgramClient<LiquidityIncentiveProgram> {
    readonly cluster: Cluster;
    readonly cypherProgramId: PublicKey;
    constructor(cluster: Cluster, rpcEndpoint: string, wallet?: Wallet, confirmOpts?: import("@solana/web3.js").ConfirmOptions);
}
